local old_weapon_tweak_data = NewRaycastWeaponBase.weapon_tweak_data
function NewRaycastWeaponBase:weapon_tweak_data(...)
	local weapon_tweak_data = old_weapon_tweak_data(self, ...)

   	 if not self._parts or self._name_id ~= "arbiter" then
        	return weapon_tweak_data 
   	 end

	if self._parts.wpn_fps_gre_arbiter_body_iuhQLU11Conversion then 
		weapon_tweak_data.weapon_hold = "iuhQLU11ConversionArbiter" 
		weapon_tweak_data.animations.reload_name_id = "iuhQLU11ConversionArbiter" 
		weapon_tweak_data.shake = {fire_multiplier = 0.5,fire_steelsight_multiplier = -0.5} 
	end
	
	if self._parts.wpn_fps_upg_a_grenade_launcher_iuhXM25SniperConversion_40mmAP then 
		weapon_tweak_data.categories = {"snp"} 	
		weapon_tweak_data.can_shoot_through_wall = "true" 
		weapon_tweak_data.can_shoot_through_shield = "true" 
		weapon_tweak_data.can_shoot_through_enemy = "true" 
		weapon_tweak_data.armor_piercing_chance = 1
	end

	return weapon_tweak_data
end

Hooks:PostHook(NewRaycastWeaponBase, "_update_stats_values", "iuhQLU11ConversionArbiter_UpdateStats", function(self, disallow_replenish, ammo_data)

	if self._parts.wpn_fps_gre_arbiter_body_iuhQLU11Conversion then
		self._shell_ejection_effect_table = {
				effect = Idstring("effects/iuhQLU11ConversionArbiter_shell_3d"),
				parent = self._obj_shell_ejection
			}
	end
end)
