local default_init_arbiter = PlayerTweakData._init_arbiter
function PlayerTweakData:_init_arbiter(...)
    default_init_arbiter(self,...)

	local pivot_shoulder_translation = Vector3(12.8734, 21.463, -2.5494)
	local pivot_shoulder_rotation = Rotation(0.113234, 0.518279, 0.627416)
	local pivot_head_translation = Vector3(0, 0, 0)	
	local pivot_head_rotation = Rotation(0, 0, 0)
		self.stances.arbiter.bipod = {
		shoulders = {},
		vel_overshot = {}
	}
	self.stances.arbiter.bipod.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.arbiter.bipod.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.arbiter.bipod.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.arbiter.bipod.vel_overshot.yaw_neg = 0
	self.stances.arbiter.bipod.vel_overshot.yaw_pos = 0
	self.stances.arbiter.bipod.vel_overshot.pitch_neg = 0
	self.stances.arbiter.bipod.vel_overshot.pitch_pos = 0

	self.stances.arbiter.bipod.shakers = {breathing = {}}
	self.stances.arbiter.bipod.shakers.breathing.amplitude = 0
end




